<?xml version="1.0" encoding="utf-8"?>
<androidx.constraintlayout.widget.ConstraintLayout xmlns:android="http://schemas.android.com/apk/res/android"
    xmlns:app="http://schemas.android.com/apk/res-auto"
    xmlns:tools="http://schemas.android.com/tools"
    android:layout_width="match_parent"
    android:layout_height="match_parent"
    tools:background="#073388">

    <androidx.constraintlayout.widget.ConstraintLayout
        android:layout_width="0dp"
        android:layout_height="0dp"
        android:layout_marginEnd="10dp"
        android:background="@drawable/shape_rect_round_11_solid_white"
        android:padding="17dp"
        app:layout_constraintBottom_toBottomOf="parent"
        app:layout_constraintEnd_toEndOf="parent"
        app:layout_constraintStart_toStartOf="parent"
        app:layout_constraintTop_toTopOf="parent">

        <TextView
            android:id="@+id/weekday1"
            style="@style/weekday_label_style"
            android:layout_marginStart="45dp"
            android:text="周一"
            app:layout_constraintEnd_toStartOf="@id/weekday2"
            app:layout_constraintStart_toStartOf="parent"
            app:layout_constraintTop_toTopOf="parent" />

        <TextView
            android:id="@+id/weekday2"
            style="@style/weekday_label_style"
            android:text="周二"
            app:layout_constraintEnd_toStartOf="@id/weekday3"
            app:layout_constraintStart_toEndOf="@id/weekday1"
            app:layout_constraintTop_toTopOf="parent" />

        <TextView
            android:id="@+id/weekday3"
            style="@style/weekday_label_style"
            android:text="周三"
            app:layout_constraintEnd_toStartOf="@id/weekday4"
            app:layout_constraintStart_toEndOf="@id/weekday2"
            app:layout_constraintTop_toTopOf="parent" />

        <TextView
            android:id="@+id/weekday4"
            style="@style/weekday_label_style"
            android:text="周四"
            app:layout_constraintEnd_toStartOf="@id/weekday5"
            app:layout_constraintStart_toEndOf="@id/weekday3"
            app:layout_constraintTop_toTopOf="parent" />

        <TextView
            android:id="@+id/weekday5"
            style="@style/weekday_label_style"
            android:text="周五"
            app:layout_constraintEnd_toStartOf="@id/weekday6"
            app:layout_constraintStart_toEndOf="@id/weekday4"
            app:layout_constraintTop_toTopOf="parent" />

        <TextView
            android:id="@+id/weekday6"
            style="@style/weekday_label_style"
            android:text="周六"
            app:layout_constraintEnd_toStartOf="@id/weekday7"
            app:layout_constraintStart_toEndOf="@id/weekday5"
            app:layout_constraintTop_toTopOf="parent" />

        <TextView
            android:id="@+id/weekday7"
            style="@style/weekday_label_style"
            android:layout_marginEnd="45dp"
            android:text="周日"
            app:layout_constraintEnd_toEndOf="parent"
            app:layout_constraintStart_toEndOf="@id/weekday6"
            app:layout_constraintTop_toTopOf="parent" />

        <View
            android:id="@+id/top_line"
            android:layout_width="0dp"
            android:layout_height="1dp"
            android:layout_marginTop="17dp"
            android:background="#E0E0E0"
            app:layout_constraintEnd_toEndOf="@id/weekday7"
            app:layout_constraintStart_toStartOf="@id/weekday1"
            app:layout_constraintTop_toBottomOf="@id/weekday1" />

        <View
            android:layout_width="1dp"
            android:layout_height="0dp"
            android:background="#E0E0E0"
            app:layout_constraintBottom_toTopOf="@id/bottom_line"
            app:layout_constraintStart_toStartOf="@id/top_line"
            app:layout_constraintTop_toBottomOf="@id/top_line" />

        <TextView
            android:id="@+id/currentWeekday1"
            style="@style/current_weekday_style"
            app:layout_constraintStart_toStartOf="@id/weekday1"
            app:layout_constraintTop_toBottomOf="@id/top_line" />

        <TextView
            android:id="@+id/weekday1Text"
            style="@style/weekday_text_style"
            app:layout_constraintEnd_toEndOf="@id/weekday1"
            app:layout_constraintStart_toStartOf="@id/weekday1"
            app:layout_constraintTop_toBottomOf="@id/currentWeekday1"
            tools:text="21" />

        <androidx.recyclerview.widget.RecyclerView
            android:id="@+id/dutyWeekday1"
            style="@style/weekday_duty_style"
            app:layout_constraintBottom_toTopOf="@id/bottom_line"
            app:layout_constraintEnd_toEndOf="@id/weekday1"
            app:layout_constraintStart_toStartOf="@id/weekday1"
            app:layout_constraintTop_toBottomOf="@id/weekday1Text" />

        <View
            android:layout_width="1dp"
            android:layout_height="0dp"
            android:background="#E0E0E0"
            app:layout_constraintBottom_toTopOf="@id/bottom_line"
            app:layout_constraintStart_toStartOf="@id/weekday2"
            app:layout_constraintTop_toBottomOf="@id/top_line" />

        <TextView
            android:id="@+id/currentWeekday2"
            style="@style/current_weekday_style"
            app:layout_constraintStart_toStartOf="@id/weekday2"
            app:layout_constraintTop_toBottomOf="@id/top_line" />

        <TextView
            android:id="@+id/weekday2Text"
            style="@style/weekday_text_style"
            app:layout_constraintEnd_toEndOf="@id/weekday2"
            app:layout_constraintStart_toStartOf="@id/weekday2"
            app:layout_constraintTop_toBottomOf="@id/currentWeekday2"
            tools:text="22" />

        <androidx.recyclerview.widget.RecyclerView
            android:id="@+id/dutyWeekday2"
            style="@style/weekday_duty_style"
            app:layout_constraintBottom_toTopOf="@id/bottom_line"
            app:layout_constraintEnd_toEndOf="@id/weekday2"
            app:layout_constraintStart_toStartOf="@id/weekday2"
            app:layout_constraintTop_toBottomOf="@id/weekday2Text" />

        <View
            android:layout_width="1dp"
            android:layout_height="0dp"
            android:background="#E0E0E0"
            app:layout_constraintBottom_toTopOf="@id/bottom_line"
            app:layout_constraintStart_toStartOf="@id/weekday3"
            app:layout_constraintTop_toBottomOf="@id/top_line" />

        <TextView
            android:id="@+id/currentWeekday3"
            style="@style/current_weekday_style"
            app:layout_constraintStart_toStartOf="@id/weekday3"
            app:layout_constraintTop_toBottomOf="@id/top_line" />

        <TextView
            android:id="@+id/weekday3Text"
            style="@style/weekday_text_style"
            app:layout_constraintEnd_toEndOf="@id/weekday3"
            app:layout_constraintStart_toStartOf="@id/weekday3"
            app:layout_constraintTop_toBottomOf="@id/currentWeekday3"
            tools:text="23" />

        <androidx.recyclerview.widget.RecyclerView
            android:id="@+id/dutyWeekday3"
            style="@style/weekday_duty_style"
            app:layout_constraintBottom_toTopOf="@id/bottom_line"
            app:layout_constraintEnd_toEndOf="@id/weekday3"
            app:layout_constraintStart_toStartOf="@id/weekday3"
            app:layout_constraintTop_toBottomOf="@id/weekday3Text" />

        <View
            android:layout_width="1dp"
            android:layout_height="0dp"
            android:background="#E0E0E0"
            app:layout_constraintBottom_toTopOf="@id/bottom_line"
            app:layout_constraintStart_toStartOf="@id/weekday4"
            app:layout_constraintTop_toBottomOf="@id/top_line" />

        <TextView
            android:id="@+id/currentWeekday4"
            style="@style/current_weekday_style"
            app:layout_constraintStart_toStartOf="@id/weekday4"
            app:layout_constraintTop_toBottomOf="@id/top_line" />

        <TextView
            android:id="@+id/weekday4Text"
            style="@style/weekday_text_style"
            app:layout_constraintEnd_toEndOf="@id/weekday4"
            app:layout_constraintStart_toStartOf="@id/weekday4"
            app:layout_constraintTop_toBottomOf="@id/currentWeekday2"
            tools:text="24" />

        <androidx.recyclerview.widget.RecyclerView
            android:id="@+id/dutyWeekday4"
            style="@style/weekday_duty_style"
            app:layout_constraintBottom_toTopOf="@id/bottom_line"
            app:layout_constraintEnd_toEndOf="@id/weekday4"
            app:layout_constraintStart_toStartOf="@id/weekday4"
            app:layout_constraintTop_toBottomOf="@id/weekday4Text" />

        <View
            android:layout_width="1dp"
            android:layout_height="0dp"
            android:background="#E0E0E0"
            app:layout_constraintBottom_toTopOf="@id/bottom_line"
            app:layout_constraintStart_toStartOf="@id/weekday5"
            app:layout_constraintTop_toBottomOf="@id/top_line" />

        <TextView
            android:id="@+id/currentWeekday5"
            style="@style/current_weekday_style"
            app:layout_constraintStart_toStartOf="@id/weekday5"
            app:layout_constraintTop_toBottomOf="@id/top_line" />

        <TextView
            android:id="@+id/weekday5Text"
            style="@style/weekday_text_style"
            app:layout_constraintEnd_toEndOf="@id/weekday5"
            app:layout_constraintStart_toStartOf="@id/weekday5"
            app:layout_constraintTop_toBottomOf="@id/currentWeekday5"
            tools:text="25" />

        <androidx.recyclerview.widget.RecyclerView
            android:id="@+id/dutyWeekday5"
            style="@style/weekday_duty_style"
            app:layout_constraintBottom_toTopOf="@id/bottom_line"
            app:layout_constraintEnd_toEndOf="@id/weekday5"
            app:layout_constraintStart_toStartOf="@id/weekday5"
            app:layout_constraintTop_toBottomOf="@id/weekday5Text" />

        <View
            android:layout_width="1dp"
            android:layout_height="0dp"
            android:background="#E0E0E0"
            app:layout_constraintBottom_toTopOf="@id/bottom_line"
            app:layout_constraintStart_toStartOf="@id/weekday6"
            app:layout_constraintTop_toBottomOf="@id/top_line" />

        <TextView
            android:id="@+id/currentWeekday6"
            style="@style/current_weekday_style"
            app:layout_constraintStart_toStartOf="@id/weekday6"
            app:layout_constraintTop_toBottomOf="@id/top_line" />

        <TextView
            android:id="@+id/weekday6Text"
            style="@style/weekday_text_style"
            app:layout_constraintEnd_toEndOf="@id/weekday6"
            app:layout_constraintStart_toStartOf="@id/weekday6"
            app:layout_constraintTop_toBottomOf="@id/currentWeekday6"
            tools:text="26" />

        <androidx.recyclerview.widget.RecyclerView
            android:id="@+id/dutyWeekday6"
            style="@style/weekday_duty_style"
            app:layout_constraintBottom_toTopOf="@id/bottom_line"
            app:layout_constraintEnd_toEndOf="@id/weekday6"
            app:layout_constraintStart_toStartOf="@id/weekday6"
            app:layout_constraintTop_toBottomOf="@id/weekday6Text" />

        <View
            android:layout_width="1dp"
            android:layout_height="0dp"
            android:background="#E0E0E0"
            app:layout_constraintBottom_toTopOf="@id/bottom_line"
            app:layout_constraintStart_toStartOf="@id/weekday7"
            app:layout_constraintTop_toBottomOf="@id/top_line" />

        <TextView
            android:id="@+id/currentWeekday7"
            style="@style/current_weekday_style"
            app:layout_constraintStart_toStartOf="@id/weekday7"
            app:layout_constraintTop_toBottomOf="@id/top_line" />

        <TextView
            android:id="@+id/weekday7Text"
            style="@style/weekday_text_style"
            app:layout_constraintEnd_toEndOf="@id/weekday7"
            app:layout_constraintStart_toStartOf="@id/weekday7"
            app:layout_constraintTop_toBottomOf="@id/currentWeekday7"
            tools:text="27" />

        <androidx.recyclerview.widget.RecyclerView
            android:id="@+id/dutyWeekday7"
            style="@style/weekday_duty_style"
            app:layout_constraintBottom_toTopOf="@id/bottom_line"
            app:layout_constraintEnd_toEndOf="@id/weekday7"
            app:layout_constraintStart_toStartOf="@id/weekday7"
            app:layout_constraintTop_toBottomOf="@id/weekday7Text" />

        <View
            android:layout_width="1dp"
            android:layout_height="0dp"
            android:background="#E0E0E0"
            app:layout_constraintBottom_toTopOf="@id/bottom_line"
            app:layout_constraintEnd_toEndOf="@id/weekday7"
            app:layout_constraintTop_toBottomOf="@id/top_line" />

        <View
            android:id="@+id/bottom_line"
            android:layout_width="0dp"
            android:layout_height="1dp"
            android:layout_marginBottom="13dp"
            android:background="#E0E0E0"
            app:layout_constraintBottom_toBottomOf="parent"
            app:layout_constraintEnd_toEndOf="@id/weekday7"
            app:layout_constraintStart_toStartOf="@id/weekday1" />

        <ImageView
            android:id="@+id/prev"
            android:layout_width="40dp"
            android:layout_height="40dp"
            android:contentDescription="@null"
            android:padding="5dp"
            android:src="@mipmap/icon_zjtqh"
            app:layout_constraintBottom_toBottomOf="parent"
            app:layout_constraintStart_toStartOf="parent"
            app:layout_constraintTop_toTopOf="parent" />

        <ImageView
            android:id="@+id/next"
            android:layout_width="40dp"
            android:layout_height="40dp"
            android:contentDescription="@null"
            android:padding="5dp"
            android:src="@mipmap/icon_yjtqh"
            app:layout_constraintBottom_toBottomOf="parent"
            app:layout_constraintEnd_toEndOf="parent"
            app:layout_constraintTop_toTopOf="parent" />

    </androidx.constraintlayout.widget.ConstraintLayout>

    <View
        android:layout_width="10dp"
        android:layout_height="33dp"
        android:background="@mipmap/img_tx_right"
        app:layout_constraintBottom_toBottomOf="parent"
        app:layout_constraintEnd_toEndOf="parent"
        app:layout_constraintTop_toTopOf="parent" />

    <ImageView
        android:id="@+id/personExpand"
        android:layout_width="22dp"
        android:layout_height="22dp"
        android:contentDescription="@null"
        android:paddingStart="6dp"
        android:paddingTop="7dp"
        android:paddingEnd="6dp"
        android:paddingBottom="7dp"
        android:src="@mipmap/icon_sy_zzk_right"
        app:layout_constraintBottom_toBottomOf="parent"
        app:layout_constraintEnd_toEndOf="parent"
        app:layout_constraintTop_toTopOf="parent" />

</androidx.constraintlayout.widget.ConstraintLayout>